(OBSOLETE: Move to ChangeLog since 2.0.0)

= Ruby-GetText-Package-1.93.0 (2008-09-14)
 * Bulgarian added.
 * Estonian updated.
 * French updated.
 * Japanese updated.
 * np_, npgettext support.
 * Fixed bugs.
   - detect the correct charset on POSIX OS.
   - updatepo task works again on Windows OS(with broken GNU msgmerge).
   - Remove BOM from po-files before GNU msgmerge is executed.
     (GNU msgmerge doesn't support BOM)
   - Work with xx(double x) library and the library which uses xx library 
     such as rcov.
   - Fixed expire_fragment with rails < 2.1.

 (NOTE) Rails-2.2 has not been supported yet.

Thanks to:
  Translators:
    Vincent Isambart, Erkki Eilonen, Sava Chankov.

  Bug reports, suggestions and patches:
    Vladimir Dobriakov, Tatsuki Sugiura, César Duque Calle,
    Rémy-Christophe Schermesser, Donald Piret.
 
= Ruby-GetText-Package-1.92.0 (2008-08-02)
 * Fixed a memory leak(again)
 * Fixed bugs.
 * Improve to support mo-files.
    * Support revision 1 of mo-file format.
    * Freeze msgstrs.
 * msgctxt - pgettext(msgctxt, msgid) support
    (eg)
    p_("File", "Open")  #=> "Open" is shown in English.
 * Update translations
   * Catalan, Chinese(Simplified), Chinese(Traditional), (English), Esperanto, German, 
     Greek, Hungarian, Latvian, Japanese, Norwegian, Portuguese(pt_BR), Russian, Serbian, 
     Spanish, Ukrainian, Vietnamese,  
 * Rails Support
    * Support rubyonrails-2.1.0 (2.0.0 or later).
       * Add new validations for activerecord-2.1.0.
         (:greater_than, :greater_than_or_equal_to, :equal_to, 
          :less_than, :less_than_or_equal_to,:odd, :even)
       * validates_(format|inclusion)_of accepts %{val} as the value
          (eg) 
           validates_inclusion_of :name, :in => %w(a, b), :message => N_("%{fn} can't be %{val}")
       * Work Fragment caching on rails-2.1.0.
       * Support ActiveRecord::Base.abstract_class.
       * Work ActiveRecord::Errors#[]
       * Work render_partial.

Thanks to:
  Translators:
    Slobodan Paunović, Yuri Kozlov, Patrick Lenz, Malte Milatz, Ngoc DAO Thanh, David Espada, 
    Antonio S. de A. Terceiro, David Espada, Runar Ingebrigtsen, Tamás Tompa, Yang Bob, damphyr, 
    Ramon Salvadó, Alex Rootoff, Aivars Akots
 
  Bug reports, suggestions and patches:
    Hans de Graaff, Tatsuki Sugiura, Andreas Neuhaus, Loiseleur Michel

= Ruby-GetText-Package-1.91.0 (2008-05-11)
 * Works again on Win32 + JRuby-1.1.1
 * Fixed memory leaks.
 * Fixed bugs.
 * Speed up.
 * Support Serbian(sr)
 * Rails Support
    * rubyonrails-1.2.x isn't supported(2.0.0 or later are supported).
    * Localize ActionView::Helpers::FormBuilder#label.
      e.g.)
       <% form_for(@article) do |f| %>
           <p><%= f.label :lastupdate %></p>
       <% end %>
        => msgid "Article|Lastupdate" is used as the label string.

Thanks to:
  Translators:
    Slobodan Paunović
  Bug reports, suggestions and patches:
    Paul Clegg, Locomotyphus, Simone Carletti, Dao Ngoc, Karl Palmskog, 
    Tatsuki Sugiura, Bernd Ahlers, craccho.
 
= Ruby-GetText-Package-1.90.0 (2008-01-30)
  Start to prepare v2.0.

 * Support Ukrainian(ua), Hungarian(hu)
 * JRuby supported.
 * Become a pure ruby library (Remove .so extention).
   * Don't need C compiler to install.
   * Unified to one gem package for all environments (Don't need Win32 package).
 * Directory structures are refactored.
   * locale modules separate from lib/gettext/ to lib/locale/.
 * Locale modules are refactored. System locales become read only.
 * Ruby on Rails 2.0 supported.
 * RDoc supported.
 * Fix bugs.
 * Enhance to support Ruby on Rails.
   * error_messages_for can accept custom error dialog messages.
   * Add GetText::Rails.available_locales, .normalized_locale
     and fragment_cache_key/expire_fragment reimplement to use these methods
     to restrict cached locale files.

Thanks to:
  Translators: 
    Alex Rootoff, Tamás Tompa 
  Bug reports, suggestions and patches:
    Yaohan Chen, OZAWA Sakuro, olivier ruffin, Vít Ondruch, 
    Andreas Neuhaus, boud indymedia, Hans de Graaff, Stephan, Reynard, 
    Ernesto Jiménez Caballero, Paul Clegg

= Ruby-GetText-Package-1.10.0 (2007-07-06)

 * Support Vietnamese(vi), Bosnian(bs), Croatian(hr), Norwegian(nb)
 * Cache messages. Both _() and n_() become 1.3-1.8 times faster 
   than older version.
 * Add GetText.ns_() 
 * Fix bugs.
 * Enhance to support Ruby on Rails.
   * Work with script/generate scaffold_resource.
   * error_messages_for accepts plural models.
   * Support Action/Fragment caching.

Thanks to:
  Translators:
    Dirkjan Bussink, Bart ten Brinke, Ngoc Dao, Sanjin Sehic, 
    Runar Ingebrigtsen, Menno Jonker, Joao Pedrosa,  Malte Milatz, 
    Patrick Lenz, David Sulc, Erkki Eilonen, Yang Bob, Ramon Salvadó 
  Bug reports, suggestions and patches:
    Maksim Bartenev, Bart ten Brinke, Florian Hufsky, 
    Michel Loiseleur, Sava Chankov

= Ruby-GetText-Package-1.9.0 (2007-01-22)

 * Support Catalan(ca), Esperanto(eo)
 * Update translations: zh_CN, zh_TW, cs, nl, en, de, el, es, ja, ko, pt_BR, ru.
 * Support Ruby on Rails-1.2.1.
 * Code cleanupand improved. Fixed bugs.

Thanks to:
  Translators: 
    Antonio S. de A. Terceiro, David Espada, David Sulc, Gyoung-Yoon Noh, 
    Joao Pedrosa, Malte Milatz, Menno Jonkers, Patrick Lenz, Yang Bob, 
    Yuri Kozlov, Vassilis Rizopoulos

  Bug reports, suggestions and patches:
    Fabian Kreutz, KAKUTANI Shintaro, Mihnea Capraru, NANKI Haruo, pedro palazon

= Ruby-GetText-Package-1.8.0 (2006-09-11)

 * Support Chinese(Taiwan: zh_TW), Estonian(et: rails.po only)
 * Add GetText.bindtextdomain_to(klass, domainname), .textdomain_to(klass, domainname)
 * rgettext supports -r, -d options.
   -r is to set an option parser. -d is for debugging mode.
    (e.g.) $ rgettext -r fooparser test.foo
 * Update translations: pt_BR, de, zh_TW, 
 * Code cleanup, fixed bugs.
 * Enhance to support Ruby on Rails.
   * init_gettext finds mo-files in /vendor/plugins/{plugin_name}/locale which has
     app/controller directories such as Rails Engines.
     And init_gettext accepts :locale_path option to be able to set the locale
     path manually.
   * init_gettext manages plural textdomains.
   * Add before_init_gettext, after_init_gettext methods like as before/after_filter.
   * Speed up(the sample blog is 1.5 times faster).
   * gettext/active_record.rb from gettext/rails.rb.
   * ActiveRecord::Validations is set the app's textdomain in init_gettext.
     It means the class which includes ActiveRecord::Validtaions are localized with
     the app's textdomain. 
     e.g.) You can use gettext methods in the subclass of ActiveForm[1]
           http://www.realityforge.org/svn/code/active-form/trunk/
   * Works rails edge again (http://dev.rubyonrails.org/ticket/5810)

 Thanks to:
   Translators: Joao Pedrosa(pt_BR), Partick Lenz(de), Erkki Eilonen(et),
                LIN CHUNG-YI(zh_TW)
 Bug reports and suggestions:
   Kobayashi Noritada, Andreas Neuhaus, steve dp, Tsutomu Kuroda, Donald Piret

= Ruby-GetText-Package-1.7.0 (2006-07-17)

 * GetText.current_textdomain_info for debuging
 * Fixed bugs, code cleanup.
 * Update translations
   * Chinese(zh), Czech(cs), Dutch(nl), English(default), French(fr)
     Spanish(es), Japanese(ja), Korean(ko), Russian(ru)
 * Improve to support Ruby on Rails
   * Localize ActionView::Helpers::DateHelper.distance_of_time_in_words.
   * Localize #error_message_on.
   * Add ActiveRecord::Base.untranslate, .untranslate_all to prevend to
     translate columns.

 Thanks to:
  Translators:
    David Espada, Karel Miarka, Laurent Sansonetti, Yuri Kozlov, 
    Gyoung-Yoon Noh, Menno Jonkers, Yingfeng
  Bug reports and suggestions:
    arton, OZAWA Sakuro, kdmsnr, Kouhei Sutou

= Ruby-GetText-Package-1.6.0 (2006-06-09)

 * Support Chinese(zh_CN), Italian(it).
 * Improve the way to manage textdomains.
    * A class/module can have plural textdomains.
    * A textdomain belong to a class/module.
    * A class/module can have plural textdomains.
    * A message is looked up in its class/module and ancestors.

      You don't need to call bindtextdomain in each files.
      # A textdomain belong to a file in previous version.
      # And a message is looked up in the file which called 
      # GetText functions only.
 * Fix bugs
 * Samples are cleaned up.

= Ruby-GetText-Package-1.5.0 (2006-05-07)

 * Support Russian.
 * Fix bugs.
 * Refresh mo option was added.
   Check mo files and reload it if it's updated.
   ruby -d or GetText::TextDomain.check_mo=(true).
   Or development mode in Ruby on Rails.

= Ruby-GetText-Package-1.4.0 (2006-04-15)

 * Support OpenBSD.
 * Fix bugs
 * Enhance supports of Ruby on Rails.
   * Improved ActionMailer localization support.
   * Support ActionWebService
   * test/gettext_test_rails.rb works with Rails-1.1.2.

= Ruby-GetText-Package-1.3.0 (2006-03-11)

 * Improve Local::Object
   * POSIX, C convert to "en".
 * Enhance supports of Ruby on Rails.
   * ActionMailer localization support.
      * Use GetText function(_() N_() etc) in template.
      * ISO-2022-JP charset is used when language is "ja"(Japanese).
   * Localization templates support.
      * ActionController::Base.render_text is overrided to find
        localized templates such as foo_ja.rhml, foo_ja_JP.rhtml.
   * @params["lang"] is treated as cgi["lang"]
   * Use N_() as localized messages of validates_* instead of _().
   * Translates ActiveRecord::Column.human_name values automatically.
 * Fix memory leak, other bugs.

= Ruby-GetText-Package-1.2.0 (2006-02-23)

 * Re-implement Locale module and Implements Locale::Object, 
   Locale::System, etc.
 * Fix bugs.
 * Apply RDoc (not complete)
 * Improve to support Ruby on Rails.
 * Add GetText.Nn_.
 * Add rmsgmerge (Experimental)
 
= Ruby-GetText-Package-1.1.1 (2006-01-14)

 * Bugfixes.
 * Added Greek locale by damphyr.
 * Support tests for Ruby on Rails.

= Ruby-GetText-Package-1.1.0 (2005-12-29)

 * Added some functions which managed po/mo files easily.
   * GetText.update_pofiles creates/updates pot/po files.
     The idea is from Sascha Ebach.

 * String% is extended to accept named argument. 
   "%{file} is selected." % {:file => "foo.rb"}
   Proposed by Sascha Ebach and Kazuhiro NISHIYAMA.

 * Enhanced Ruby on Rails support.
   * ActiveRecord support. Inspired from Simon Santoro(rgtrans).
     * the error messages are localized.
       Also, you can add your own messages with _("").
     * You can use gettext methods in the models unless
       preparing anything.

     * rgettext extracts the table names/field names
       of the subclass of ActiveRecord::Base as the msgid.

       Even for the English developers who don't need 
       to localize their application, this function is
       useful because the developer can rename 
       the table/field names using "en" locale.
 
     * More simple to set up ApplicationController.
       Now, you need to call just init_gettext only.
  
       class ApplicationController < ActionController::Base
         init_gettext "myapp"  #Easy!
       end

       This "myapp" domain affects all of the controllers/views/models.

     * Sample "blog" application with rails.
       Improved the sample application on RoR. See: samples/rails/*.

 * New/Updated translations:
    Czech              - Karel Miarka (NEW)
    Dutch              - Menno Jonkers (NEW)
    French             - Laurent Sansonetti
    German             - Sasa Ebach
    Japanese           - Masao Mutoh
    Korean             - Gyoung-Yoon Noh 
    Portuguese(Brazil) - Joao Pedrosa
    Spanish            - David Espada

 * bugfixes.

= Ruby-GetText-Package-1.0.0 (2005-09-03)

 * Ruby on Rails is supported.
   Includes sample in samples/rails/
 * gem is supported. ($ gem install gettext)
 * rake is supported.
 * Not required racc anymore on installing time.
 * New/Updated translations:
    French    - Laurent Sansonetti
    German    - Sven Herzberg
    Japanese  - Masao Mutoh
    Korean    - Gyoung-Yoon Noh (NEW)
    Spanish   - David Espada
 * bugfixes.

 * Moved to http://rubyforge.org/projects/gettext/
 * Mailinglists started.


= Ruby-GetText-Package-0.9.0 (2005-05-01)

 * CGI support: gettext/cgi
 * ERB support: gettext/erb, rgettext.
 * Added samples for CGI/ERB to samples/cgi/.
 * bugfixes.


= Ruby-GetText-Package-0.8.1 (2005-03-30)

 * bugfixes.
 * New Translations: pt_BR by Joao Pedrosa.


= Ruby-GetText-Package-0.8.0 (2004-11-06)

 * rgettext: Improved to parse ruby script.
 * New Translations:
    French   - Laurent Sansonetti
    Spanish  - David Espada
    Swedish  - Nikolai Weibull
 * Fixed bugs.


= Ruby-GetText-Package-0.7.0 (2004-10-25)

 * Support GetText.sgettext.
   See: http://www.gnu.org/software/gettext/manual/html_mono/gettext.html#SEC151
 * Added gettext/iconv.rb.
   If your ruby distribution doesn't have iconv.so but Ruby-GNOME2(Ruby/GTK2),
   gettext/iconv.rb provides pseudo Iconv.iconv using Ruby/GLib module.
 * GETTEXT_PATH as new environment variables. Define GETTEXT_PATH as locale 
   diretories. You can debug/test your application unless installing catalog 
   files.
 * Update setup.rb(by Minero Aoki). 
 * Fix misc bugs


= Ruby-GetText-Package-0.6.1 (2004-07-23)

 * rgettext: Fixed a bug of glade XML mode.
 * Fixed an installation problem.
 * Changed the installer from install.rb to setup.rb.


= Ruby-GetText-Package-0.6.0 (2004-07-05)

 * rgettext: Support glade-2 XML file format.
 * rgettext: Improved to parse ruby sources.
 * rmsgfmt: Fix a bug that it generated wrong mo format.
 * Fix bugs

= Ruby-GetText-Package-0.5.5 (2004-03-26)

 * Fix a bug.

= Ruby-GetText-Package-0.5.4 (2004-02-14)

 * Improved to support ruby-1.9.x.

= Ruby-GetText-Package-0.5.3 (2004-02-14)

 * Improve the initial speed.

= Ruby-GetText-Package-0.5.2 (2003-11-12)

 * Fix bugs for Win32.

= Ruby-GetText-Package-0.5.1 (2003-07-05)

 * Fix bugs. Code cleanup.

= Ruby-GetText-Package-0.5.0 (2003-01-08)

 * rmsgfmt: Added. 
    rmsgfmt is a ruby implementation of msgfmt in GNU gettext.
    It creates a mo-file from a po-file.
 * Fix bugs.


